Results 1 to 3 of 3

Thread: emacs crashes since Linux kernel 5.14.10 or later till 5.14.14-1 at the least

  1. #1

    Default emacs crashes since Linux kernel 5.14.10 or later till 5.14.14-1 at the least

    Hi,

    Emacs (version 27.2 release 6.2) in tumbleweed kept crashing for some time since LInux kernel 5.14.10 or around.
    It worked fine under LInux kernel 5.14.6

    Besides /usr/bin/emacs itself, I have a few pointers that spit some addresses
    ==============================
    /lib64/libc.so.6
    /lib64/libX11.so.6
    /lib64/libgdk-3.so.0
    /lib64/libglib-2.0.so.0
    /lib64/libgtk-3.so.0
    =======================

    Does anyone have the same problem?

    Thanks.

    kbsisnopbs----

  2. #2
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    2,031

    Default Re: emacs crashes since Linux kernel 5.14.10 or later till 5.14.14-1 at the least

    Not an emacs user myself so unable to confirm, but...

    If you're using nvidia drivers this bug report may be relevant:

    https://bugzilla.opensuse.org/show_b...?id=1191517#c4
    Regards, Paul

  3. #3

    Default Re: emacs crashes since Linux kernel 5.14.10 or later till 5.14.14-1 at the least

    Quote Originally Posted by tannington View Post
    Not an emacs user myself so unable to confirm, but...

    If you're using nvidia drivers this bug report may be relevant:

    https://bugzilla.opensuse.org/show_b...?id=1191517#c4

    Thank you, Paul,

    That bug report was indeed relevant. I commented out the following single line in /usr/bin/emacs.

    XLIB_SKIP_ARGB_VISUALS=1

    This solved the segmentation fault error when I typed control-k during an emacs session.
    Apparently, the bug is somewhere inside the /lib/libgtk . or /lib/libX11 or somewhere rather than inside emacs.

    Regards,

    kbsisnopbs.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •